#!/bin/bash

# Configuration details for building and starting a guest virtual machine.

# The network address of the guest virtual machine:
export GUESTADDRESS=192.168.0.99
export GUESTNAME=guest

# The network address of the host as seen by the guest:
export HOSTADDRESS=192.168.0.254

# Display details for the guest's desktop on the host:
export HOSTDISPLAY=${HOSTADDRESS}:0
export HOSTWINDOW=1024x768

# The tunnel device from host to guest:
export TUNDEVICE=tap0

# The host's network interface:
export NETDEVICE=eth0

# The user and group details of the user on the host who will run the virtual
# machine:
export IMAGEUSER=paulb
export IMAGEGROUP=paulb

# The locations of various image files. Edit or uncomment the settings below.

# The location of the virtual machine disk image:
export IMAGE="/Kubuntu-6.06-x86-root_fs"
#export IMAGE="/Ubuntu-6.06-x86-root_fs"

# The size of the disk image in GB:
export IMAGESIZE=4

# The swap file location:
export SWAPIMAGE="/Kubuntu-6.06-x86-swap"
#export SWAPIMAGE="/Ubuntu-6.06-x86-swap"

# The size of the swap file in MB:
export SWAPSIZE=128

# The download address and filename of the ISO file, along with the desktop
# environment package. Uncomment only one of the choices here.

# Kubuntu Dapper update #1:
export ISOSITEDIR=ftp://ftp.uninett.no/linux/ubuntu-iso/kubuntu/6.06.1/
export ISOFILENAME=kubuntu-6.06.1-alternate-i386.iso
export ISODESKTOP=kubuntu-desktop
export DISTNAME=dapper

# Ubuntu Dapper update #1:
#export ISOSITEDIR=ftp://ftp.uninett.no/linux/ubuntu-iso/6.06.1/
#export ISOFILENAME=ubuntu-6.06.1-alternate-i386.iso
#export ISODESKTOP=ubuntu-desktop
#export DISTNAME=dapper

# Kubuntu Feisty:
#export ISOSITEDIR=ftp://ftp.uninett.no/linux/ubuntu-iso/kubuntu/7.04/
#export ISOFILENAME=kubuntu-7.04-alternate-i386.iso
#export ISODESKTOP=kubuntu-desktop
#export DISTNAME=feisty

# The location of the ISO file used to get packages and to do the guest virtual
# machine installation:
export ISODIR=`pwd`
export ISOADDRESS=${ISOSITEDIR}${ISOFILENAME}
export ISOFILE=${ISODIR}/${ISOFILENAME}

# The Linux version, location of the Linux kernel archive, and the download address:
export LINUXDIR=`pwd`
export LINUXVERSION=2.6.19.2
export LINUXDIRNAME=linux-${LINUXVERSION}
export LINUXFILENAME=${LINUXDIRNAME}.tar.bz2
export LINUXARCHIVE=${LINUXDIR}/${LINUXFILENAME}
export LINUXADDRESS=http://www.kernel.org/pub/linux/kernel/v2.6/${LINUXFILENAME}

# The User Mode Linux executable:
export LINUX=`pwd`/linux

# The memory allocated to the virtual machine:
export GUESTMEM=128M
